Hooks:PostHook(InteractionTweakData, 'init', 'localized_comm_wheel', function(self)
local com_wheel_color = Color(1, 0.8, 0)

local function com_wheel_clbk(say_target_id, default_say_id, post_prefix, past_prefix, waypoint_tech)
	local character = managers.network:session():local_peer()._character
	local nationality = CriminalsManager.comm_wheel_callout_from_nationality(character)
	local snd = post_prefix .. nationality .. past_prefix
	local text = nil
	local player = managers.player:player_unit()

	if not player then
		return
	end

	local target, target_nationality = player:movement():current_state():teammate_aimed_at_by_player()

	if target ~= nil then
		local target_char = CriminalsManager.comm_wheel_callout_from_nationality(target_nationality)

		if target_char == nationality and nationality ~= "amer" then
			target_char = "amer"
		elseif target_char == nationality and nationality == "amer" then
			target_char = "brit"
		end

		if nationality == "russian" then
			nationality = "rus"
		end

		-- Change is here
		text = say_target_id .. '~' .. target

		if not managers.dialog:is_dialogue_playing_for_local_player() then
			managers.player:stop_all_speaking_except_dialog()
			managers.player:player_unit():sound():say(nationality .. "_call_" .. target_char, nil, true)
			managers.player:player_unit():sound():queue_sound("comm_wheel", post_prefix .. nationality .. past_prefix, nil, true)
		end
	else
		-- And here
		text = default_say_id

		if not managers.dialog:is_dialogue_playing_for_local_player() then
			managers.player:stop_all_speaking_except_dialog()
			managers.player:player_unit():sound():say(post_prefix .. nationality .. past_prefix, false, true)
		end
	end
	-- Logging text to check that yes, indeed, we use my code and yes we indeed send string_id
	log(text)
	managers.chat:send_message(ChatManager.GAME, "Player", text)
end

self.com_wheel = {
	icon = "develop",
	color = com_wheel_color,
	text_id = "debug_interact_temp_interact_box",
	wheel_radius_inner = 120,
	wheel_radius_outer = 150,
	text_padding = 25,
	cooldown = 1.5,
	options = {
		{
			id = "yes",
			text_id = "com_wheel_yes",
			icon = "comm_wheel_yes",
			color = com_wheel_color,
			clbk = com_wheel_clbk,
			clbk_data = {
				"com_wheel_target_say_yes",
				"com_wheel_say_yes",
				"com_",
				"_yes"
			}
		},
		{
			id = "no",
			text_id = "com_wheel_no",
			icon = "comm_wheel_no",
			color = com_wheel_color,
			clbk = com_wheel_clbk,
			clbk_data = {
				"com_wheel_target_say_no",
				"com_wheel_say_no",
				"com_",
				"_no"
			}
		},
		{
			id = "found_it",
			text_id = "com_wheel_found_it",
			icon = "comm_wheel_found_it",
			color = com_wheel_color,
			clbk = com_wheel_clbk,
			clbk_data = {
				"com_wheel_target_say_found_it",
				"com_wheel_say_found_it",
				"com_",
				"_found"
			}
		},
		{
			id = "wait",
			text_id = "com_wheel_wait",
			icon = "comm_wheel_wait",
			color = com_wheel_color,
			clbk = com_wheel_clbk,
			clbk_data = {
				"com_wheel_target_say_wait",
				"com_wheel_say_wait",
				"com_",
				"_wait"
			}
		},
		{
			id = "not_here",
			text_id = "com_wheel_not_here",
			icon = "comm_wheel_not_here",
			color = com_wheel_color,
			clbk = com_wheel_clbk,
			clbk_data = {
				"com_wheel_target_say_not_here",
				"com_wheel_say_not_here",
				"com_",
				"_notfound"
			}
		},
		{
			id = "follow_me",
			text_id = "com_wheel_follow_me",
			icon = "comm_wheel_follow_me",
			color = com_wheel_color,
			clbk = com_wheel_clbk,
			clbk_data = {
				"com_wheel_target_say_follow_me",
				"com_wheel_say_follow_me",
				"com_",
				"_follow"
			}
		},
		{
			id = "assistance",
			text_id = "com_wheel_assistance",
			icon = "comm_wheel_assistance",
			color = com_wheel_color,
			clbk = com_wheel_clbk,
			clbk_data = {
				"com_wheel_target_say_assistance",
				"com_wheel_say_assistance",
				"com_",
				"_help"
			}
		},
		{
			id = "enemy",
			text_id = "com_wheel_enemy",
			icon = "comm_wheel_enemy",
			color = com_wheel_color,
			clbk = com_wheel_clbk,
			clbk_data = {
				"com_wheel_target_say_enemy",
				"com_wheel_say_enemy",
				"com_",
				"_enemy"
			}
		}
	}
}
end)